/* mathops.cpp provides definitions for the mathops library, a library
 *   of simple functions to implement mathematical expressions.
 *
 * Author: Joel Adams for Hands On C++.
 * Modification history:
 *   by Jeremy D. Frens in September 2002 for Hands on C++, 3e.
 *     Modified to create and use mathops library.
 *
 *****************************************************************/

#include <iostream>
#include "mathops.h"

using namespace std;

double apply(char operation, double op1, double op2)
{
   switch (operation)
   {
      case 'a':
	return op1 + op2;
      case 'b':
	return op1 - op2;
      case 'c':
	return op1 * op2;
      case 'd':
	return op1 / op2;
      case 'e':
//            return power(op1, int(op2));
      default:
	cerr << "\nInvalid operation " << operation
	     << " received by calculator!\n" << endl;
	return 0.0;
   }
}

// ... replace this line with the definition of power() ...
